# Retrieve a brand kit by ID

Retrieves a brand kit by ID, including its sections and associated fields (subsections).

Endpoint: GET /api/v1/brandkits/{brandkitId}
Version: v2.0
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer JWT

## Path parameters:

  - `brandkitId` (string, required)
    The unique identifier of the brand kit to retrieve. To get this ID, you can use the [List brand kits](#operation/brandkits-list_brandkits) endpoint to retrieve the list of brand kits in your organization.

## Header parameters:

  - `x-sc-job-id` (any)
    A unique identifier for the job, used to trace, audit, and revert actions performed by an AI agent through the Agent API.

## Response 200:

  - `200` (unknown)
    Successful response

## Response 200 fields (application/json):

  - `id` (string)
    The unique identifier of the brand kit.
    Example: b1234567-89ab-4cde-f012-3456789abcde

  - `description` (any)
    The brand kit description.
    Example: Brand kit for Contoso Corporation.

  - `name` (string)
    The name of the brand kit.
    Example: Contoso Brand Kit

  - `brandName` (any)
    The name of the brand associated with the brand kit.
    Example: Contoso

  - `companyName` (any)
    The name of the company associated with the brand kit.
    Example: Contoso Corporation

  - `status` (string)
    The status of the brand kit.
    Example: published

  - `tags` (any)
    A list of tags associated with the brand kit.

  - `tags.category` (string)
    The tag category.
    Example: audience

  - `tags.values` (array)
    A list of tag values for the category.

  - `sections` (any)
    A list of sections in the brand kit.

  - `sections.id` (string)
    The unique identifier of the brand kit section.
    Example: 3f2504e0-4f89-11d3-9a0c-0305e82c3301

  - `sections.name` (string)
    The name of the brand kit section.
    Example: Brand Context

  - `sections.fields` (any)
    A list of brand kit fields (subsections).

  - `sections.fields.id` (string)
    The unique identifier of the brand kit field (subsection).
    Example: 3f2504e0-4f89-11d3-9a0c-0305e82c3301

  - `sections.fields.name` (string)
    The name of the brand kit field.
    Example: Brand purpose

  - `sections.fields.type` (string)
    The type of the brand kit field.
    Example: text

  - `sections.fields.value` (any)
    The value of the brand kit field.
    Example: The core reason for the brand existence is to fuel the potential of active individuals with clean, nutrient-dense energy solutions.

  - `sections.fields.intent` (any)
    The intent of the brand kit field.
    Example: The core reason for the brand's existence.

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array)
    The location of the error in the request.

  - `detail.msg` (string)
    The error message.

  - `detail.type` (string)
    The type of error.

  - `detail.input` (any)
    The input that caused the error.

  - `detail.ctx` (object)
    The context in which the error occurred.

